apiVersion: v1
kind: Secret
metadata:
  name: prometheus-additional-scrape-configs
  namespace: monitoring
  labels:
    app.kubernetes.io/name: prometheus
type: Opaque
stringData:
  additional-scrape-configs.yaml: |+
    # This content will be auto-updated by the pipeline
    - job_name: harbor
      static_configs:
      - targets:
        - harbor-core.dev-tools.svc.cluster.local:8001

    - job_name: vault
      static_configs:
      - targets:
        - vault.dev-tools.svc.cluster.local:8200
      metrics_path: /v1/sys/metrics
      scheme: http
    - job_name: woodpecker
      static_configs:
      - targets:
        - woodpecker.dev-tools.svc.cluster.local:9000
      bearer_token: prometheusmetricstoken
      scheme: https
    - job_name: gitea
      static_configs:
      - targets:
        - gitea-http.dev-tools.svc.cluster.local:3000
      bearer_token: prometheusmetricstoken
    - job_name: minio-bitnami
      static_configs:
      - targets:
        - minio.infra.svc.cluster.local:9000

...
